org.apache.jmeter.gui.plugin

## Enum MenuCreator.MENU_LOCATION

- java.lang.Object
- - java.lang.Enum<MenuCreator.MENU_LOCATION>
  - - org.apache.jmeter.gui.plugin.MenuCreator.MENU_LOCATION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MenuCreator.MENU_LOCATION>
  Enclosing interface:
    MenuCreator

      public static enum MenuCreator.MENU_LOCATION
      extends java.lang.Enum<MenuCreator.MENU_LOCATION>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDIT`
    `FILE`
    `HELP`
    `OPTIONS`
    `RUN`
    `SEARCH`
    `TOOLS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MenuCreator.MENU_LOCATION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MenuCreator.MENU_LOCATION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final MenuCreator.MENU_LOCATION FILE

    - #### EDIT

          public static final MenuCreator.MENU_LOCATION EDIT

    - #### RUN

          public static final MenuCreator.MENU_LOCATION RUN

    - #### OPTIONS

          public static final MenuCreator.MENU_LOCATION OPTIONS

    - #### HELP

          public static final MenuCreator.MENU_LOCATION HELP

    - #### SEARCH

          public static final MenuCreator.MENU_LOCATION SEARCH

    - #### TOOLS

          public static final MenuCreator.MENU_LOCATION TOOLS

  - ### Method Detail

    - #### values

          public static MenuCreator.MENU_LOCATION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MenuCreator.MENU_LOCATION c : MenuCreator.MENU_LOCATION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MenuCreator.MENU_LOCATION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.